module.exports = {
  root: true,
  extends: [
    './internal/eslint/base.js',
  ],
  ignorePatterns: [
    'node_modules',
    'dist',
    'build',
    '.turbo',
    'coverage',
  ],
  overrides: [
    {
      // 为 React 应用配置特定规则
      files: ['apps/**/*.{js,jsx,ts,tsx}', 'packages/**/*.{js,jsx,ts,tsx}'],
      extends: [
        './internal/eslint/react.js',
      ],
    },
  ],
}; 