/**
 * 基础 Rsbuild 配置
 */
module.exports = {
  output: {
    polyfill: 'usage',
    minify: process.env.NODE_ENV === 'production',
    sourceMap: {
      js: process.env.NODE_ENV === 'development' ? 'cheap-module-source-map' : false,
      css: process.env.NODE_ENV === 'development',
    },
  },
  performance: {
    chunkSplit: {
      strategy: 'split-by-experience',
    },
  },
  tools: {
    bundlerChain: (chain, { CHAIN_ID }) => {
      // 自定义 webpack 配置
    },
  },
}; 